%define major 3
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:		fityk
Summary:	Non-linear curve fitting and data analysis
Version:	0.9.8
Release:	%mkrel 1
License:	GPLv2+
Group:		Sciences/Other
URL:		http://www.unipress.waw.pl/fityk/
Source0:	http://prdownloads.sourceforge.net/fityk/%{name}-%{version}.tar.bz2
BuildRequires:	wxgtku-devel
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	boost-devel
BuildRequires:	xylib-devel >= 0.6
BuildRequires:	desktop-file-utils
Requires:	gnuplot

%description
Fityk is nonlinear curve-fitting and data analysis software. It allows data
visualization, separation of overlapping peaks, and least squares fitting
using standard Levenberg-Marquardt algorithm, a genetic algorithm, or
Nelder-Mead simplex method. It only knows about common bell-shaped functions
(Gaussian, Loretzian, Pearson 7, Voigt, Pseudo-Voigt) and polynomials, but
more sophisticated formulae can be easily added if necessary. It also
enables background substracting, data calibration and task automation with a
simple script language. It is being developed to analyze powder diffraction
patterns, but it can be used to fit analytical functions to any kind of data.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q

%build
%configure2_5x	--disable-3rdparty \
		--disable-xyconvert \
		--with-samples
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

desktop-file-install	--vendor="" \
	--remove-category="Education" \
	--add-category="X-MandrivaLinux-MoreApplications-Sciences-DataVisualization" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README samples NEWS
%{_bindir}/%{name}
%{_bindir}/c%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/mime/packages/*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%if %{mdvver} <= 201100
%{_libdir}/*.la
%endif



%changelog
* Thu Jan 19 2012 Andrey Bondrov <abondrov@mandriva.org> 0.9.8-1mdv2012.0
+ Revision: 762275
- New version 0.9.8, new library major 3, build against utf8 wxGTK2.8

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Thu Jan 14 2010 Jérôme Brenier <incubusss@mandriva.org> 0.9.0-1mdv2010.1
+ Revision: 491076
- new version 0.9.0
- use the packaged xylib
- redo format errors patch
- fix License tag
- fix desktop file

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Mar 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.6-3mdv2009.1
+ Revision: 354927
- fix format errors

* Thu Jun 19 2008 Austin Acton <austin@mandriva.org> 0.8.6-1mdv2009.0
+ Revision: 226114
- new version
- fix menu category
- fix license
- fix URL

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Sat Dec 29 2007 Austin Acton <austin@mandriva.org> 0.8.2-1mdv2008.1
+ Revision: 139016
- buildrequires desktop-file-utils
- new version
- new menu
- new icons

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Jan 09 2007 Lenny Cartier <lenny@mandriva.com> 0.7.7-1mdv2007.0
+ Revision: 106711
- Update to 0.7.4
- Import fityk

